function ToolsQuickLoot:LootLink()
	self.LootText = {}
	local ChkParty = function ()
		return UnitInRaid("player") and "RAID" or UnitInParty("party1") and "PARTY" or nil
	end
	local linker = function(n)
		if (ChkParty()) then
			local textgroup = 1
			self.LootText = {""}
			for i = 1, self.Loot.numLootItems, 1 do
				if ( LootSlotIsItem(i) ) then
					local qual = select(4, GetLootSlotInfo(i))
					if qual >= n then
						if string.len(self.LootText[textgroup]..GetLootSlotLink(i)) > 255 then
							textgroup = textgroup + 1
							self.LootText[textgroup] = ""
						end
						self.LootText[textgroup] = self.LootText[textgroup]..GetLootSlotLink(i)
					end
				end
			end
			for i = 1, #self.LootText do
				SendChatMessage(self.LootText[i], ChkParty())
			end
		end
	end
	LootCloseButton:RegisterForClicks("LeftButtonUp", "RightButtonUp", "MiddleButtonUp")
	LootCloseButton:SetScript("OnClick", function()
		if arg1 == "LeftButton" then
			HideUIPanel(LootFrame)
		else
			linker(arg1 == "RightButton" and 3 or 4)
		end
	end)
	LootCloseButton:SetScript("OnEnter", function() 
		GameTooltip:SetOwner(this, "ANCHOR_RIGHT")
		GameTooltip:SetText("|CFF00AAFF클릭 : |CFFFFFFFF닫기\n|CFF00AAFF드래그 : |CFFFFFFFF이동\n|CFF00AAFF휠버튼 : |CFFFFFFFF에픽이상 링크\n|CFF00AAFF우버튼 : |CFFFFFFFF파템이상 링크")
	end)
end
ToolsQuickLoot:LootLink()